/**
 * Title:        CoCompose2
 * Copyright:    Copyright (c) 2003, 2004
 * Author:       Dennis Wagelaar
 * Organisation: Vrije Universiteit Brussel
 * Description:  CoCompose2 Model Driven Design Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 */

package be.ac.vub.cocompose.debug;

/**
 * Debugging functionality interface.
 * @author Dennis Wagelaar
 * @version 0.2.7, 13/04/2004
 * @since 0.2.7
 */
public interface Debug
{
  /**
   * Returns true when in debugging mode.
   * @return true when in debugging mode.
   */
  public boolean debug();
  
  /**
   * Logs a message. Following messages will be logged as a
   * sub-message of this message, until endLog() is called.
   * @param message the log message.
   * @param exception the related exception, if any.
   */
  public void log(String message, Throwable exception);
  
  /**
   * End marker for the last log message. Following log messages
   * will be logged independantly.
   */
  public void endLog();
}
