/**
 * Title:        CoCompose2
 * Copyright:    Copyright (c) 2003, 2004
 * Author:       Dennis Wagelaar
 * Organisation: Vrije Universiteit Brussel
 * Description:  CoCompose2 Model Driven Design Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 */

package be.ac.vub.cocompose.eclipse.editparts;

import java.beans.PropertyChangeEvent;

import be.ac.vub.cocompose.lang.Properties;
import be.ac.vub.cocompose.lang.core.Concept;

/**
 * Eclipse editpart controller for EclipseConcept objects.
 * @author Dennis Wagelaar
 * @version 0.2.5, 03/03/2004
 * @since 0.2.0
 */
public class ConceptEditPart extends RefinedElementEditPart
{
  /**
   * @see java.beans.PropertyChangeListener#propertyChange(java.beans.PropertyChangeEvent)
   */
  public void propertyChange(PropertyChangeEvent evt)
  {
    if (Properties.ID_DEFAULT_CONCEPT_OF.equals(evt.getPropertyName()))
      refreshVisuals();
    else
      super.propertyChange(evt);
  }

  /**
   * Gets the model associated with this.
   * @return the model associated with this.
   */
  protected Concept getConcept()
  {
    return (Concept) getModel();
  }

  /**
   * @see org.eclipse.gef.editparts.AbstractEditPart#refreshVisuals()
   */
  protected void refreshVisuals() 
  {
    getConceptFigure().setLabel(getConcept().getName());
    getConceptFigure().setBold(getConcept().getDefaultConceptOf() != null);
    super.refreshVisuals();
  }
}
