/**
 * Title:        CoCompose2
 * Copyright:    Copyright (c) 2003, 2004
 * Author:       Dennis Wagelaar
 * Organisation: Vrije Universiteit Brussel
 * Description:  CoCompose2 Model Driven Design Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 */

package be.ac.vub.cocompose.eclipse.editparts;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.EditPartFactory;

import be.ac.vub.cocompose.lang.core.Namespace;

/**
 * Creates the Eclipse tree view CoCompose elements.
 * @author Dennis Wagelaar
 * @version 0.2.0, 07/01/2004
 * @since 0.2.0
 */
public class TreePartFactory implements EditPartFactory
{
  /**
   * @see org.eclipse.gef.EditPartFactory#createEditPart(org.eclipse.gef.EditPart, java.lang.Object)
   */
  public EditPart createEditPart(EditPart context, Object model)
  {
    if (model instanceof Namespace)
      return new CoComposeContainerTreeEditPart(model);
    else
      return new CoComposeTreeEditPart(model);
  }

}
