/**
 * Title:        CoCompose2
 * Copyright:    Copyright (c) 2003, 2004
 * Author:       Dennis Wagelaar
 * Organisation: Vrije Universiteit Brussel
 * Description:  CoCompose2 Model Driven Design Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 */

package be.ac.vub.cocompose.eclipse.palette;

import org.eclipse.gef.palette.PaletteDrawer;
import org.eclipse.gef.palette.PaletteEntry;
import org.eclipse.gef.ui.palette.PaletteCustomizer;
import org.eclipse.gef.ui.palette.customize.EntryPage;

/**
 * Palette customizer for CoCompose.
 * @author Dennis Wagelaar
 * @version 0.2.0, 08/01/2004
 * @since 0.2.0
 */
public class CoComposePaletteCustomizer extends PaletteCustomizer
{
  protected static final String ERROR_MESSAGE = "Invalid character";
   
  /**
   * @see org.eclipse.gef.ui.palette.PaletteCustomizer#getPropertiesPage(org.eclipse.gef.palette.PaletteEntry)
   */
  public EntryPage getPropertiesPage(PaletteEntry entry) 
  {
    if (entry.getType().equals(PaletteDrawer.PALETTE_TYPE_DRAWER)) {
      return new CoComposeDrawerEntryPage();
    }
    return new CoComposeEntryPage();
  }

  /**
   * @see org.eclipse.gef.ui.palette.PaletteCustomizer#revertToSaved()
   */
  public void revertToSaved()
  {
  }

  /**
   * @see org.eclipse.gef.ui.palette.PaletteCustomizer#save()
   */
  public void save()
  {
  }
}
