package be.ac.vub.cocompose.lang.impl.constraints;

import java.util.Iterator;
import be.ac.vub.cocompose.lang.ModelElementException;
import be.ac.vub.cocompose.lang.constraints.AndConstraint;
import be.ac.vub.cocompose.lang.constraints.Constraint;
import be.ac.vub.cocompose.lang.ModelVisitor;

/**
 * Boolean "and" composite constraint.
 * @author Dennis Wagelaar
 * @version 0.2.0
 * @since 0.2.0
 */
public class DefaultAndConstraint extends DefaultCompositeConstraint implements AndConstraint
{
  /**
   * Accepts a visitor.
   * @param modelVisitor The visitor to accept.*/
  public void accept(ModelVisitor modelVisitor) throws ModelElementException 
  {
    modelVisitor.visitAndConstraint(this);
  }

  /**
   * Invokes superclass accept().
   * @param modelVisitor The visitor to accept.
   * @see #accept(ModelVisitor)*/
  public void acceptSuper(ModelVisitor modelVisitor) throws ModelElementException
  {
    super.accept(modelVisitor);
  }

  /**
   * Checks whether the constraint holds.
   * @exception ModelElementException - if the constraint doesn't hold.
   */
  protected void concreteCheck() throws ModelElementException
  {
    Iterator ownedConstr = getOwnedConstraints().iterator();
    while (ownedConstr.hasNext())
    {
      ((Constraint) ownedConstr.next()).check();
    }
  }
}
